not compatible Rated 1 out of 5 stars

doesn't work with 3.1! bad bad bad